package com.google.android.gms.internal.measurement;

import com.tencent.matrix.trace.core.AppMethodBeat;

public enum zzabp {
    DOUBLE(zzabu.zzbwh, 1),
    FLOAT(zzabu.zzbwg, 5),
    INT64(zzabu.zzbwf, 0),
    UINT64(zzabu.zzbwf, 0),
    INT32(zzabu.zzbwe, 0),
    FIXED64(zzabu.zzbwf, 1),
    FIXED32(zzabu.zzbwe, 5),
    BOOL(zzabu.zzbwi, 0),
    UINT32(zzabu.zzbwe, 0),
    ENUM(zzabu.zzbwl, 0),
    SFIXED32(zzabu.zzbwe, 5),
    SFIXED64(zzabu.zzbwf, 1),
    SINT32(zzabu.zzbwe, 0),
    SINT64(zzabu.zzbwf, 0);
    
    private final zzabu zzbwb;
    private final int zzbwc;

    static {
        AppMethodBeat.o(3428);
    }

    private zzabp(zzabu zzabu, int i) {
        this.zzbwb = zzabu;
        this.zzbwc = i;
    }

    public final zzabu zzuv() {
        return this.zzbwb;
    }
}
